## sysvinit-2.86.ds1.tar.bz2

=== debian/startpar/Makefile ===
VERSION = 0.49

INSTALL		= install -m 755
INSTALL_DATA	= install -m 644
DESTDIR		=
sbindir		= /sbin
mandir		= /usr/share/man
man8dir		= $(mandir)/man8

OBJS		= startpar.o makeboot.o proc.o

CC = gcc
OPTFLAGS = -O2 -g -Wall -W
CFLAGS = $(OPTFLAGS) -D_GNU_SOURCE

.c.o:
	$(CC) $(CFLAGS) -DVERSION=\"$(VERSION)\" -c $<

startpar: $(OBJS)
	$(CC) $(CFLAGS) -DVERSION=\"$(VERSION)\" -o $@ $(OBJS)

install: startpar
	$(INSTALL) -d $(DESTDIR)$(sbindir) $(DESTDIR)$(man8dir)
	$(INSTALL) -s startpar $(DESTDIR)$(sbindir)/.
	$(INSTALL_DATA) startpar.8 $(DESTDIR)$(man8dir)/.

clean:
	rm -f startpar $(OBJS)
