=== debian/changelog ===
sysvinit (2.86.ds1-38) unstable; urgency=medium

  * Medium urgency as it solve an RC bug in etch.
  * New upload, this time with only the files included in svn, and without
    the cruft included by mistake last time.  No idea why svn-buildpackage
    didn't behave as I expected it to.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 30 Jan 2007 23:14:04 +0100

sysvinit (2.86.ds1-37) unstable; urgency=medium

  * Medium urgency as it solve an RC bug in etch.
  * Replace 66_init_emerg_tty patch with one only creating a new
    session group when sulogin is called directly from init, and not
    as part of the runlevel start scripts, to avoid leaving the single
    user shell behind when switching runlevel.  Updated patch from Samuel
    Thibault. (Closes:406587)
  * Speed up shutdown 1 second by dropping sleep 1 in init.d/halt
    introduced 2.86.ds1-12.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 13 Jan 2007 20:04:35 +0100

sysvinit (2.86.ds1-36) unstable; urgency=medium

  * Medium urgency as it solve some RC bugs in etch.
  * Don't reset step to 0 between running Kill and Start scripts
    (this is why the progress bar jumps during splash down).  Patch from
    Scott James Remnant and Ubuntu.
  * Also consider ltsp-client as end-point for the usplash
    progress bar.  Patch from Scott James Remnant and Ubuntu.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 28 Nov 2006 19:56:20 +0100

sysvinit (2.86.ds1-35) unstable; urgency=medium

  * Medium urgency as it solve some RC bugs in etch.
  * Make sure init.d/umountfs umount tmpfs file systems in order of
    decreasing length, to avoid problems on systems with chroots.
    Patch from Peter Rabbitson.  (Closes: #391673)
  * Add boot option ASYNCMOUNTNFS=no to get the old init.d/mountnfs.sh
    behaviour until ifup work properly with / on NFS.  The default is
    'yes' as it has the highest chance of success for non-diskless machines.
    It is also useful for machines with multiple network cards.
    (Closes: #388761, #393532)
  * Fix syslogging code in if-up.d/mountnfs to find logger if it exist.
    Patch from John Morrissey.  (Closes: #398644)
  * Avoid file descriptor leak to mount in init.d/mtab.sh.  Based
    on patch from David Härdeman. (Closes: #397525).
  * Fix typo in message added in 91_sulogin_lockedpw.dpatch.
    Thanks to Robert Bihlmeyer.  (Closes: #399715)
  * Undo use of fuser to kill processes in umountnfs before unmounting
    partitions, as it will kill init and /etc/init.d/rc during
    shutdown if root is on NFS or tmpfs file systems are bind-mounted
    into chroots.  Use sendsigs and move it before umountnfs, and thus
    reopen bugs #258420, #367944.  (Closes: #392861)

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 26 Nov 2006 20:06:00 +0100

sysvinit (2.86.ds1-34) unstable; urgency=medium

  * Medium urgency as it solve some RC bugs.
  * Remove the postinst code in initscripts for mounting /lib/init/rw/.
    Just require a reboot for it to take effect, instead of trying to
    make sure it is mounted when the package is installed.  Flag this
    need using /usr/share/update-notifier/notify-reboot-required if it
    exist.  (Closes: #393465, #391605, #390126)
  * Remove debian/sysv-rc/postinst as well as it is unused now.
  * Replace SElinux patches 40_selinux and 41_selinux_console with updated
    40_selinux from Manoj Srivastava. (Closes: #394304)
  * Print message when refusing to mount nfs directories because the
    lockdir exist.
  * Add exit handler in if-up.d/mountnfs to make sure the lock directory
    is removed when the script is interrupted.
  * Remove NEWS entries explaining how to recover from the version of
    sysv-rc present 6th to 8th of September in unstable.  Remove
    update-rc.d-recover as it should no longer be needed. (Closes:
    #394332)
  * Add XS-Vcs-Svn entry in the control file, to make the subversion
    repository easier to find.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 29 Oct 2006 18:33:33 +0100

sysvinit (2.86.ds1-33) unstable; urgency=low

  * Do not insert /dev/.static/dev in /etc/mtab, and do not try to
    umount it either.  Avoids confusing users. (Closes: #391122)
  * Let initscripts conflict with udev << 0.080-1, and stop calling
    mountdevsub.sh from mtab.sh. (Closes: #391312)
  * Do not fail to install initscripts even if /lib/init/rw/ can
    not be mounted. (Closes: #391115)
  * Adjust how fuser is called by umountnfs, using the exit code from
    fuser instead of looking at its output. Based on patch from Markus
    Schoder. (Closes: 390936)

 -- Petter Reinholdtsen <pere@debian.org>  Fri,  6 Oct 2006 19:51:05 +0200

sysvinit (2.86.ds1-32) unstable; urgency=low

  * Set SE context on /dev/pts and /dev/ptm if they are created by
    mountdevsubfs.sh to work better with SELinux.  Patch from Erich
    Schubert. (Closes: 390897)

 -- Petter Reinholdtsen <pere@debian.org>  Wed,  4 Oct 2006 20:39:56 +0200

sysvinit (2.86.ds1-31) unstable; urgency=low

  * Fix calls to fuser in umountnfs.sh.  Thanks to Frank Mehnert for the tip.
  * Correct code detecting single-user in stop-bootlog-single to only
    trigger on '1' as single word and not as option argument. (Closes:
    #390572, #387340)

 -- Petter Reinholdtsen <pere@debian.org>  Mon,  2 Oct 2006 19:55:11 +0200

sysvinit (2.86.ds1-30) unstable; urgency=low

  * Avoid mounting /lib/init/rw/ during installation and upgrades if
    the kernel do not support tmpfs. (Closes: #390339)

 -- Petter Reinholdtsen <pere@debian.org>  Sun,  1 Oct 2006 20:03:33 +0200

sysvinit (2.86.ds1-29) unstable; urgency=low

  * Ignore problems with creating /var/run and /var/lock during
    installation and upgrades.  This should avoid installation problem
    in vserver environments.
  * Only try to create /var/run and /var/lock on the root file system
    in non-chroot environments?
  * Use 'mkdir -p' when creating /.root, to avoid failing if it
    already exist.  (Closes: #390327)

