=== debian/control ===
Source: sysvinit
Section: admin
Priority: required
Maintainer: Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>
Uploaders: Miquel van Smoorenburg <miquels@cistron.nl>, Petter Reinholdtsen <pere@debian.org>, Henrique de Moraes Holschuh <hmh@debian.org>
Build-Depends: dpatch, libselinux1-dev (>= 1.14) [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64], libsepol1-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]
Standards-Version: 3.7.2
XS-Vcs-Svn: svn://svn.debian.org/pkg-sysvinit/sysvinit/trunk

Package: sysvinit
Essential: yes
Architecture: any
Pre-Depends: initscripts, sysv-rc (>= 2.86.ds1-1.2) | file-rc (>> 0.7.0), sysvinit-utils
Depends: ${shlibs:Depends}
Description: System-V-like init utilities
 This package contains programs required for booting
 a Debian system and doing basic process management.
 .
 The most important program in the package is /sbin/init.
 It is the first process started on boot and continues
 to run as process number 1 until the system halts. All
 other processes are descended from it.

Package: sysvinit-utils
Essential: yes
Architecture: any
Conflicts: last
Replaces: last, sysvinit (<= 2.86.ds1-22)
Depends: ${shlibs:Depends}
Description: System-V-like utilities
 This package contains the important System-V-like utilities.
 .
 Specifically, this package includes:
 killall5, last, lastb, mesg, pidof, sulogin

Package: sysv-rc
Architecture: all
Recommends: lsb-base (>= 3.0-6)
Conflicts: file-rc
Replaces: file-rc, sysvinit (<< 2.85-1)
Suggests: sysv-rc-conf, bum
Description: System-V-like runlevel change mechanism
 This package provides support for the System-V like system
 for booting, shutting down and changing runlevels,
 configured through symbolic links in /etc/rc?.d/.

Package: initscripts
Architecture: any
Depends: ${shlibs:Depends}, ${glibc:Depends}, ${mount:Depends}, e2fsprogs (>= 1.32+1.33-WIP-2003.04.14-1), debianutils (>= 2.13.1), lsb-base (>= 3.0-6), sysvinit-utils
Recommends: psmisc
Conflicts: mdutils, sysv-rc (<< 2.86.ds1-1.2), sysvinit (<< 2.86.ds1-12), udev (<< 0.080-1)
Replaces: mdutils, sysvinit (<< 2.85-12), libc6, libc6.1, libc0.1, libc0.3
Description: Scripts for initializing and shutting down the system
 The scripts in this package initialize a standard Debian
 GNU/Linux system at boot time and finalize it at halt or
 reboot time.
